Listar cortes de caja
curl --request GET \
--url https://api.filexpress.app/api/external/cash-registers \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.filexpress.app/api/external/cash-registers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.filexpress.app/api/external/cash-registers"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.filexpress.app/api/external/cash-registers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"data": {
"data": [
{
"id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"branch_id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"status": "closed",
"cashier": {
"id": "3b8e2f10-7c4d-4a9e-b1f2-5d6c7e8f9a01",
"name": "Ana Martínez"
},
"opening_date": "2026-10-06T08:00:00-06:00",
"closing_date": "2026-10-06T18:00:00-06:00",
"opening_amount": 100,
"declared_amount": 295,
"difference_amount": 0,
"total_sales": 410,
"total_cash_sales": 215,
"total_card_sales": 180,
"total_other_sales": 15,
"total_expenses": 20,
"total_other_incomes": 0,
"notes": null,
"opened_by": "API: Mi POS",
"closed_by": "API: Mi POS"
}
],
"pagination": {
"current_page": 1,
"last_page": 1,
"per_page": 50,
"total": 1
}
}
}{
"status": false,
"message": "Invalid API Key."
}{
"status": false,
"message": "This integration does not have the 'hr.employees' permission.",
"required_scope": "hr.employees"
}{
"status": false,
"message": "Branch not found"
}{
"status": false,
"message": "Validation errors",
"errors": {
"status": [
"The selected status is invalid."
]
}
}{
"status": false,
"message": "Rate limit exceeded. Please try again later.",
"rate_limit": 100
}Listar cortes de caja
Cajas de la sucursal (abiertas y cerradas) del ambiente activo, de la más reciente a la más antigua. Paginado.
Permiso requerido: cash_register
GET
/
cash-registers
Listar cortes de caja
Authorizations
API Key de la integración (Integraciones → Nueva Integración).
Query Parameters
Sucursal (GET /branches). De otro negocio → 404.
Estado.
Available options:
open, closed Desde (YYYY-MM-DD).
Hasta (YYYY-MM-DD), mayor o igual que start_date.
Resultados por página (1–200, por defecto 50).
Required range:
1 <= x <= 200Página.
Required range:
x >= 1